<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# plugin.gd

**Extends:** [EditorPlugin](../EditorPlugin)

## Description

Plugin script to initialize Escoria

## Constants Descriptions

### autoloads

```gdscript
const autoloads: Dictionary = {"escoria":"res://addons/escoria-core/game/escoria.tscn"}
```

Autoloads to instantiate

## Method Descriptions

### set\_escoria\_ui\_settings

```gdscript
func set_escoria_ui_settings()
```

Prepare the settings in the Escoria UI category

### set\_escoria\_main\_settings

```gdscript
func set_escoria_main_settings()
```

Prepare the settings in the Escoria main category

### set\_escoria\_debug\_settings

```gdscript
func set_escoria_debug_settings()
```

Prepare the settings in the Escoria debug category

### set\_escoria\_internal\_settings

```gdscript
func set_escoria_internal_settings()
```

Prepare the settings in the Escoria internal category

### set\_escoria\_sound\_settings

```gdscript
func set_escoria_sound_settings()
```

Prepare the settings in the Escoria sound settings

### set\_escoria\_platform\_settings

```gdscript
func set_escoria_platform_settings()
```

Prepare the settings in the Escoria platform category and may need special
setting per build